function h=ln2
% lithium niobate cell along c-axis

[r,element,lnk]=molread('ln2.mol');
figure; hold on;
h=[];
for n=1:size(r,1),
    if element(n,1)=='O', ra=0.8; c=[1 0 0]; end;
    if element(n,1)=='N', ra=0.7; c=[0 1 0]; end;
    if element(n,1)=='L', ra=0.6; c=[0 0 1]; end;
    ha=atom(r(n,:),ra,c);
    h=[h;ha];
end;
for n=1:size(lnk,1),
    hc=connect(r(lnk(n,1),:),r(lnk(n,2),:),0.1);
    h=[h;hc];
end;
axis equal, axis off, light, lighting gouraud;
set(gcf,'Position',[100 50 800 600]);
set(gcf,'color','w');
camtarget(mean(r,1));
campos(mean(r,1)+[10 -60 15]);
camva(15);
camproj('perspective');
axis([6 11 0 9 2 14]);
hold off;
