function compare
% compare numeric and analytic solutions

L=0.2; 
dL=0.2;
La=0.04;
time=0:0.01:1;
v=1;
w=2*pi;
for phi=[0 4 8 12 25 35]
    phi=phi*pi/180;
    vx=v*cos(phi);
    vy=v*sin(phi);
    vz=0;

    x=vx*time;
    y=vy/w*sin(w*time);
    z=vy/w*(cos(w*time)-1);

    [t,u]=elpath(phi,0);
    ho=plot3(u(:,1),u(:,2)-y',u(:,3)-z');
    set(ho,'Color','k','LineWidth',1);
    hold on;
end;
set(gca,'FontUnits','normalized','FontSize',0.05);
set(gca,'Position',[0.15 0.15 0.75 0.75]);
box on;
view(90,0);
