function relax(n)
% relaxation method for potential and field calculation

Size = 40;

[x,y]=meshgrid(1:Size-1);

u = (4*(x-Size/2)+y-4*Size/5)<0;
u(:,1:Size/2) = fliplr(u(:,Size/2:Size-1));
u(1:Size/5,:) = 0;
tri = u;
ff = [0 1 0; 1 0 1; 0 1 0]/4;
for i=1:n,
    u = filter2(ff,u);
    u = max(u,tri);
    u([1,Size-1],:) = 0;
    u(:,[1,Size-1]) = 0;
end;
[px,py] = gradient(u);
quiver(px,py,1.2,'k-');
axis equal;   axis off;   hold on;
[c,h] = contourf(tri,[0 0.9]);
set(h(2),'facecolor',0.2*[1 1 1]);
set(h(1),'facealpha',0,'linewidth',1.5);
[c,h] = contour(u,8);
set(h,'edgecolor','k');
hold off;
