function h=Connect(a,b,r,color)
% connection cylinder between atoms

if nargin<4, color=0.9*[1 1 1]; end;
if nargin<3, r=0.1; end;
if nargin<2, return; end;

d = b-a;
l = sqrt(sum(d.*d));
if l==0, return; end;
[x,y,z] = cylinder([r r]);
z = l*z;
h=surf(a(1)+x, a(2)+y, a(3)+z);
set(h,'EdgeAlpha',0,'FaceColor',color);
phirot = 180/pi*acos(d(3)/l);
ax = [-d(2) d(1) 0];
if (sum(ax.*ax)==0)
    ax = [1 0 0];
end;
rotate(h,ax,phirot,a);
