function hc=spring(a, b, e, r0, LW)
% plot 3D spring

if nargin<1, a=[0 0 0]; end;
if nargin<2, b=a+[0 0 1]; end;
if nargin<3, e=sqrt(dot(b-a,b-a))/6; end;
if nargin<4, r0=e/2; end;
if nargin<5, LW=1; end;
PHI = 16*pi;     % 8 windings
d = b-a;
l = sqrt(sum(d.*d));
L = l-2*e;
r = sqrt(r0*r0-L*L/PHI/PHI);
angle = linspace(0,PHI,400);
x = [0 0 r*sin(angle) 0 0]+a(1);
y = [0 0 r*cos(angle) 0 0]+a(2);
z = [0 e linspace(e,l-e,400) l-e l]+a(3);
hc = plot3(x,y,z,'-k','Linewidth',LW);
phirot = 180/pi*acos(d(3)/l);
ax = [-d(2) d(1) 0];
if (sum(ax.*ax)==0)
    ax = [1 0 0];
end;
rotate(hc,ax,phirot,a);
