function pendulum(a, phi, col)
% pendulum for coupled oscillations

if nargin<1, a=[0 0 0]; end;
if nargin<2, phi=pi/10; end;
if nargin<3, col=0.4*[1 1 1]; end;
L=[0 0 -10];
b=a+L;
hc=Connect(a,b,0.1);
hold on;
hs=Atom(b,0.8,col);
hb=Connect(a,a+0.05*L,0.3);
hspr=Connect(a+0.38*L,a+0.42*L,0.3);
set([hb hc hspr],'FaceColor',0.8*[1 1 1]);
rotate([hb hs hc hspr],[0 1 0],phi*180/pi,a);
axis equal; axis off; camlight; lighting gouraud;
