function simul1;

Ccb = 1e-11;                % 10 pF
Cb = 1e-6;                  % 1 uF
Rb = 1000;                  % 1 kOhm
Rbe = 1000;                 % 1 kOhm
Rc = 1000;                  % 1 kOhm
Rg = 10000;                 % 10 kOhm
b = 300;
f = logspace(1,7.48,100)';  % 10 Hz ... 30 MHz

G1 = i*2*pi*f*Cb./(1+Rb*i*2*pi*f*Cb)*[1 1]; 
G2 = 1/Rbe;
G3 = [i*2*pi*f*Ccb i*2*pi*f*Ccb+1/Rg];
G4 = 1/Rc;

v = -G1.*(G2*b-G3)./(G1.*G3+G1.*G4+G2.*G3*(1+b)+G2.*G4+G3.*G4);

ph = 180/pi*unwrap(angle(v));
[ax,ht,hp]=plotyy(f,abs(v),f,ph,'loglog','semilogx');

set(ax,'xlim',[10 3e7]);
set(ax(1),'ylim',[0.5 3e2]);
set(ax(2),'ylim',[-270 -90]);
set(ax(2),'ytick',[-270 -225 -180 -135 -90]);
set(ax(2),'xaxislocation','top','xticklabel',[]);
set(ht,'linestyle','-','linewidth',1);
set(ht(2),'linestyle','-.');
set(hp,'linestyle','--','linewidth',1);
set(hp(2),'linestyle',':');
set([ht hp],'color','k');
tlabel=get(ax(1),'ylabel');
plabel=get(ax(2),'ylabel');
set(tlabel,'string','Verstrkung');
set(plabel,'string','Phase');
hxl=xlabel('Frequenz [Hz]');
set([ax hxl tlabel plabel],'fontunits','normalized','fontsize',0.07);
set(ax,'position',[0.15 0.18 0.7 0.55]);
set(gcf,'paperposition',[1 3 6 3]);

%print -deps2 'simul1.ps'
