function chains
% TO and TA modes of a linear chain

L = 100,  N = 21,  odd = 1:2:N;
x = linspace(0,L,N);
y = x*0;
z = 4*sin(x*2*pi/L);
chain(x,y,z);
z(odd) = -0.5*z(odd)
chain(x,y,z+10);
axis equal,  axis off;
hold off;
view(-60,5);

function chain(x,y,z)
N = max(size(x));
od = 1:2:N,  ev = 2:2:N;
r = [x;y;z];
for i = 1:N-1
    h=spring(r(:,i),r(:,i+1),1,0.3);
    set(h,'LineW',0.2);
    hold on;
end;
ho = plot3(x(od),y(od),z(od),'ko');
he = plot3(x(ev),y(ev),z(ev),'ko');
set(ho,'MarkerSize',8,'MarkerFaceColor','k');
set(he,'MarkerSize',7,'MarkerFaceColor','k');
