function conetest
% cone plot example

r0=linspace(0.1,0.9,5);
phi=(1:14)/15*pi/2;
theta=(1:2)/2*2*pi;
R0=4;
[a,p,t]=meshgrid(r0,phi,theta);
r=R0+a.*cos(t);
cx=r.*cos(p);
cy=r.*sin(p);
cz=a.*sin(t);
[x,y,z]=meshgrid(0:0.25:5,0:0.25:5,-1:1);
r=sqrt(x.*x+y.*y);
v=1-z.*z-(R0-r).^2;
vx=y.*v./r;
vy=-x.*v./r;
vz=0.*v;
hcone=coneplot(x,y,z,vx,vy,vz,cx,cy,cz,8);
set(hcone,'Edgecolor','none','FaceColor',0.2*[1 1 1]);
hold on;
[x,y,z]=torus(4,1,40);
x=x+0./(x>-0.1);
y=y+0./(y>-0.1);
z=z+0./(z<0.1);
ht=surf(x,y,z);
set(ht,'EdgeAlpha',0.3,'FaceColor',0.8*[1 1 1],...
    'FaceAlpha',1);
light, lighting gouraud;
view(-85,35);
axis equal, axis off;
set(gcf,'Position',[100 50 800 550]);
set(gca,'Position',[0 0 1 1]);
hold off;
