function [xx,yy,zz]=torus(R0,r0,N)
% basic torus

if nargin<3, N=40; end;
if nargin<2, r0=1; end;
if nargin<1, R0=4; end;

phi=linspace(0,2*pi,N+1);
theta=linspace(0,2*pi,N+1);
[p,t]=meshgrid(phi,theta);
r=R0-r0.*cos(t);
x=r.*cos(p);
y=r.*sin(p);
z=sin(t).*r0;
if nargout==0,
    h=surf(x,y,z);
    set(h,'FaceColor',0.8*[1 1 1]);
    set(h,'EdgeAlpha',0.3);
    camlight, lighting gouraud;
    axis equal, axis off;
    view(-60,20);
else
    xx=x;
    yy=y;
    zz=z;
end;
